Bug 1008877 - python-qpid package contains unittest files
Summary: python-qpid package contains unittest files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-qpid
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Darryl L. Pierce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-17 09:34 UTC by Attila Fazekas
Modified: 2015-06-22 00:08 UTC (History)
3 users (show)

Fixed In Version: python-qpid-0.24-1.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-03 01:12:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Attila Fazekas 2013-09-17 09:34:30 UTC
python-qpid package contains unit test files, which does not really useful for an installed python package.

It is useful for a build time testing and for development, but does not really makes sense to package it.

$ rpm -ql python-qpid | grep test
/usr/bin/qpid-python-test
/usr/lib/python2.7/site-packages/qpid/testlib.py
/usr/lib/python2.7/site-packages/qpid/testlib.pyc
/usr/lib/python2.7/site-packages/qpid/testlib.pyo
/usr/lib/python2.7/site-packages/qpid/tests
/usr/lib/python2.7/site-packages/qpid/tests/__init__.py
/usr/lib/python2.7/site-packages/qpid/tests/__init__.pyc
/usr/lib/python2.7/site-packages/qpid/tests/__init__.pyo
/usr/lib/python2.7/site-packages/qpid/tests/codec.py
/usr/lib/python2.7/site-packages/qpid/tests/codec.pyc
/usr/lib/python2.7/site-packages/qpid/tests/codec.pyo
/usr/lib/python2.7/site-packages/qpid/tests/codec010.py
/usr/lib/python2.7/site-packages/qpid/tests/codec010.pyc
/usr/lib/python2.7/site-packages/qpid/tests/codec010.pyo
/usr/lib/python2.7/site-packages/qpid/tests/connection.py
/usr/lib/python2.7/site-packages/qpid/tests/connection.pyc
/usr/lib/python2.7/site-packages/qpid/tests/connection.pyo
/usr/lib/python2.7/site-packages/qpid/tests/datatypes.py
/usr/lib/python2.7/site-packages/qpid/tests/datatypes.pyc
/usr/lib/python2.7/site-packages/qpid/tests/datatypes.pyo
/usr/lib/python2.7/site-packages/qpid/tests/framing.py
/usr/lib/python2.7/site-packages/qpid/tests/framing.pyc
/usr/lib/python2.7/site-packages/qpid/tests/framing.pyo
/usr/lib/python2.7/site-packages/qpid/tests/messaging
/usr/lib/python2.7/site-packages/qpid/tests/messaging/__init__.py
/usr/lib/python2.7/site-packages/qpid/tests/messaging/__init__.pyc
/usr/lib/python2.7/site-packages/qpid/tests/messaging/__init__.pyo
/usr/lib/python2.7/site-packages/qpid/tests/messaging/address.py
/usr/lib/python2.7/site-packages/qpid/tests/messaging/address.pyc
/usr/lib/python2.7/site-packages/qpid/tests/messaging/address.pyo
/usr/lib/python2.7/site-packages/qpid/tests/messaging/endpoints.py
/usr/lib/python2.7/site-packages/qpid/tests/messaging/endpoints.pyc
/usr/lib/python2.7/site-packages/qpid/tests/messaging/endpoints.pyo
/usr/lib/python2.7/site-packages/qpid/tests/messaging/message.py
/usr/lib/python2.7/site-packages/qpid/tests/messaging/message.pyc
/usr/lib/python2.7/site-packages/qpid/tests/messaging/message.pyo
/usr/lib/python2.7/site-packages/qpid/tests/mimetype.py
/usr/lib/python2.7/site-packages/qpid/tests/mimetype.pyc
/usr/lib/python2.7/site-packages/qpid/tests/mimetype.pyo
/usr/lib/python2.7/site-packages/qpid/tests/parser.py
/usr/lib/python2.7/site-packages/qpid/tests/parser.pyc
/usr/lib/python2.7/site-packages/qpid/tests/parser.pyo
/usr/lib/python2.7/site-packages/qpid/tests/queue.py
/usr/lib/python2.7/site-packages/qpid/tests/queue.pyc
/usr/lib/python2.7/site-packages/qpid/tests/queue.pyo
/usr/lib/python2.7/site-packages/qpid/tests/spec010.py
/usr/lib/python2.7/site-packages/qpid/tests/spec010.pyc
/usr/lib/python2.7/site-packages/qpid/tests/spec010.pyo
/usr/lib/python2.7/site-packages/qpid/tests/util.py
/usr/lib/python2.7/site-packages/qpid/tests/util.pyc
/usr/lib/python2.7/site-packages/qpid/tests/util.pyo
$ rpm -q python-qpid
python-qpid-0.22-1.fc18.noarch


Note: New version available:  http://qpid.apache.org/download.html

Comment 1 Darryl L. Pierce 2013-09-17 10:58:49 UTC
(In reply to Attila Fazekas from comment #0)
<snip>
> Note: New version available:  http://qpid.apache.org/download.html

The new version is currently blocked on Fedora by a separate issue regarding building the store on ARM. Once that's fixed the 0.24 release will get pushed into Fedora.

Comment 2 Fedora Update System 2013-09-17 11:38:50 UTC
python-qpid-0.22-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-qpid-0.22-3.fc20

Comment 3 Fedora Update System 2013-09-17 11:49:07 UTC
python-qpid-0.22-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-qpid-0.22-2.fc19

Comment 4 Fedora Update System 2013-09-17 11:55:29 UTC
python-qpid-0.22-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-qpid-0.22-2.fc18

Comment 5 Fedora Update System 2013-09-17 18:14:51 UTC
Package python-qpid-0.22-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-qpid-0.22-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16948/python-qpid-0.22-3.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-09-19 21:00:28 UTC
python-qpid-0.22-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-qpid-0.22-4.fc20

Comment 7 Fedora Update System 2013-09-19 21:11:13 UTC
python-qpid-0.22-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-qpid-0.22-3.fc19

Comment 8 Fedora Update System 2013-09-19 21:19:37 UTC
python-qpid-0.22-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-qpid-0.22-3.fc18

Comment 9 Fedora Update System 2013-09-23 17:15:16 UTC
python-qpid-0.24-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-qpid-0.24-1.fc20

Comment 10 Fedora Update System 2013-09-23 17:21:58 UTC
python-qpid-0.24-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-qpid-0.24-1.fc19

Comment 11 Fedora Update System 2013-09-23 17:28:07 UTC
python-qpid-0.24-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-qpid-0.24-1.fc18

Comment 12 Fedora Update System 2013-10-03 01:12:57 UTC
python-qpid-0.24-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-10-03 01:17:48 UTC
python-qpid-0.24-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-10-11 02:28:15 UTC
python-qpid-0.24-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.